Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365458 - Python plugin has been disabled on fedora 24
Summary: Python plugin has been disabled on fedora 24
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pluma
Version: 24
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-09 10:30 UTC by Daniel
Modified: 2017-03-28 08:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-28 08:29:18 UTC


Attachments (Terms of Use)

Description Daniel 2016-08-09 10:30:46 UTC
Description of problem:
Python plugin has been disabled on fedora 24.

Version-Release number of selected component (if applicable):
$ rpm -q pluma
pluma-1.14.0-1.fc24.x86_64

How reproducible:
Everytime


Actual results:
There is no /usr/lib64/pluma/plugin-loaders/libpythonloader.so in pluma-1.14.0-1.fc24.x86_64


Expected results:
/usr/lib64/pluma/plugin-loaders/libpythonloader.so should be included in pluma-1.14.0-1.fc24.x86_64


Additional info:
1. There is /usr/lib64/pluma/plugin-loaders/libpythonloader.so in pluma-1.10.2-1.fc23.x86_64(provided by Fedora 23)
2. Pluma does not support regular expression search/replace and the only plugin on https://github.com/infirit/pluma-plugins was written by python and need python plugin loader.
3. Linux Mint also has this problem and will fix this(according to  https://bugs.launchpad.net/linuxmint/+bug/1357735).

Comment 1 Wolfgang Ulbrich 2016-08-09 10:44:20 UTC
Python support does not work with gtk3 , upstream is working on it.
For this reason i have disabled the python plugins.
https://github.com/mate-desktop/pluma/issues/147

Comment 2 Daniel 2016-08-09 10:54:20 UTC
Thank you very much for your contact.
I know why python plugin was disabled now.
Will the python plugin be enabled again after the issue on https://github.com/mate-desktop/pluma/issues/147 has been fixed?
Thank you.

Comment 3 Wolfgang Ulbrich 2016-08-09 11:02:38 UTC
Sure, but if pluma support it again for gtk3 than the external pluma-plugins repo needs also ported to gtk3.

Comment 4 Yaakov Selkowitz 2017-03-02 08:12:34 UTC
(In reply to Wolfgang Ulbrich from comment #1)
> Python support does not work with gtk3 , upstream is working on it.
> For this reason i have disabled the python plugins.

But you didn't remove the old dependencies:

-Requires: pygtk2
-Requires: pygobject2
-Requires: pygtksourceview

(In reply to Wolfgang Ulbrich from comment #3)
> Sure, but if pluma support it again for gtk3 than the external pluma-plugins
> repo needs also ported to gtk3.

I ported the C plugins, disabled the Python plugins, and released 1.16.0.

Porting the Python plugins to libpeas will have to wait until I can test on a libpeas-enabled Pluma.

Comment 5 Wolfgang Ulbrich 2017-03-02 08:49:16 UTC
(In reply to Yaakov Selkowitz from comment #4)
> (In reply to Wolfgang Ulbrich from comment #1)
> > Python support does not work with gtk3 , upstream is working on it.
> > For this reason i have disabled the python plugins.
> 
> But you didn't remove the old dependencies:
> 
> -Requires: pygtk2
> -Requires: pygobject2
> -Requires: pygtksourceview

I have to much packages for Mate that i maintain alone.
Sorry, beat me or help out with co-maintaining ;-)
I will fix that with next build.
> 
> (In reply to Wolfgang Ulbrich from comment #3)
> > Sure, but if pluma support it again for gtk3 than the external pluma-plugins
> > repo needs also ported to gtk3.
> 
> I ported the C plugins, disabled the Python plugins, and released 1.16.0.
> 
> Porting the Python plugins to libpeas will have to wait until I can test on
> a libpeas-enabled Pluma.
Python support will come for 1.18 again with f26, this is impossible to do for pluma-1.16.x, as upstream said.
But after f26 release i will update f25 end epel7 to 1.18 if everything goes well.
Please use rawhide to port the plugins or my gtk3 copr repo for f24.
Any chance that we see the plugin package in official fedora?
I think nobody in the world knows that it exists at github ;-)

Comment 6 Wolfgang Ulbrich 2017-03-28 08:29:18 UTC
Mate-1.18 is in f26 updates-testing and will be pushed to stable after alpha freeze, so closing this.


Note You need to log in before you can comment on or make changes to this bug.